package netscape.net;

public class SSLSecurityStatus {
   int status;
   String cipher;
   int sessionKeySize;
   int sessionSecretSize;
   String issuer;
   String subject;
   String serialNumber;
   public final int STATUS_NOOPT = -1;
   public final int STATUS_OFF;
   public final int STATUS_ON_HIGH = 1;
   public final int STATUS_ON_LOW = 2;
   public final int STATUS_FORTEZZA = 3;

   public SSLSecurityStatus(int var1, String var2, int var3, int var4, String var5, String var6, String var7) {
      String var8 = "no certificate";
      this.status = var1;
      this.cipher = var2;
      this.sessionKeySize = var3;
      this.sessionSecretSize = var4;
      if (var8.equals(var5)) {
         this.issuer = null;
      } else {
         this.issuer = var5;
      }

      if (var8.equals(var6)) {
         this.subject = null;
      } else {
         this.subject = var6;
      }

      this.serialNumber = var7;
   }

   public boolean isSecurityOn() {
      return this.status > 0;
   }

   public int getSecurityStatus() {
      return this.status;
   }

   public String getCipher() {
      return this.cipher;
   }

   public int getSessionKeySize() {
      return this.sessionKeySize;
   }

   public int getSessionSecretSize() {
      return this.sessionSecretSize;
   }

   public String getRemoteIssuer() {
      return this.issuer;
   }

   public String getRemoteSubject() {
      return this.subject;
   }

   public String getSerialNumber() {
      return this.serialNumber;
   }

   public String toString() {
      String var1;
      switch (this.status) {
         case -1:
            var1 = "NOOPT";
            break;
         case 0:
            var1 = "OFF";
            break;
         case 1:
            var1 = "ON HIGH";
            break;
         case 2:
            var1 = "ON LOW";
            break;
         case 3:
            var1 = "FORTEZZA";
            break;
         default:
            var1 = "unknown";
      }

      return "Status: " + var1 + "\n" + "Cipher: " + this.cipher + "\n" + "Session key size: " + this.sessionKeySize + "\n" + "Session secret size: " + this.sessionSecretSize + "\n" + "Issuer: " + this.issuer + "\n" + "Subject: " + this.subject + "\n" + "Serial number: " + this.serialNumber + "\n";
   }
}
