package netscape.net;

import java.io.IOException;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;

public final class SSLSocket extends Socket {
   SSLSocket() throws IOException {
      this.setUseClientMode(false);
   }

   public SSLSocket(String var1, int var2) throws UnknownHostException, IOException {
      this((InetAddress)InetAddress.getByName(var1), var2, (InetAddress)null, 0);
   }

   public SSLSocket(InetAddress var1, int var2) throws IOException {
      this((InetAddress)var1, var2, (InetAddress)null, 0);
   }

   public SSLSocket(String var1, int var2, InetAddress var3, int var4) throws IOException {
      this(InetAddress.getByName(var1), var2, var3, var4);
   }

   public SSLSocket(InetAddress var1, int var2, InetAddress var3, int var4) throws IOException {
      super(var1, var2, var3, var4);
      this.setUseClientMode(true);
   }

   protected void initSocketImpl() {
      ((Socket)this).setSocketImpl(new SSLSocketImpl(this));
   }

   public String toString() {
      return "SSL" + super.toString();
   }

   public void resetHandshake() {
      ((SSLSocketImpl)super.impl).resetHandshake();
   }

   public void redoHandshake() {
      ((SSLSocketImpl)super.impl).redoHandshake();
   }

   public void forceHandshake() {
      ((SSLSocketImpl)super.impl).forceHandshake();
   }

   public SSLSecurityStatus getStatus() {
      return ((SSLSocketImpl)super.impl).getStatus();
   }

   public void setNeedClientAuth(boolean var1) {
      ((SSLSocketImpl)super.impl).setNeedClientAuth(var1);
   }

   public void removeHandshakeCompletedListener(SSLHandshakeCompletedListener var1) {
      ((SSLSocketImpl)super.impl).removeHandshakeCompletedListener(var1);
   }

   public void addHandshakeCompletedListener(SSLHandshakeCompletedListener var1) {
      ((SSLSocketImpl)super.impl).addHandshakeCompletedListener(var1);
   }

   public void setUseClientMode(boolean var1) {
      ((SSLSocketImpl)super.impl).setUseClientMode(var1);
   }

   SSLSocketImpl getImpl() {
      return (SSLSocketImpl)super.impl;
   }
}
